// Copyright (c) 2025 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "../fragments/quad.glsl"
#include "../../../../dusk/overworld/overworlddefs.h"

struct Entity {
  vec2 position;
};

layout(std140) uniform b_Entities {
  Entity entities[OVERWORLD_ENTITY_COUNT_MAX];
  uint entityCount;
};